# Uses of Interface
org.apache.sling.validation.ValidationResult

Packages that use ValidationResult
Package
Description
org.apache.sling.validation
org.apache.sling.validation.spi
org.apache.sling.validation.spi.support

## Uses of ValidationResult in org.apache.sling.validation

Methods in org.apache.sling.validation that return ValidationResult
Modifier and Type
Method
Description
`@NotNull ValidationResult`
ValidationService.`validate(@NotNull org.apache.sling.api.resource.Resource resource, @NotNull ValidationModel model)`
Validates a `Resource` using a specific `ValidationModel`.
`@NotNull ValidationResult`
ValidationService.`validate(@NotNull org.apache.sling.api.resource.ValueMap valueMap, @NotNull ValidationModel model)`
Validates a `ValueMap` or any object adaptable to a `ValueMap` using a specific `ValidationModel`.
`@NotNull ValidationResult`
ValidationService.`validateResourceRecursively(@NotNull org.apache.sling.api.resource.Resource resource, boolean enforceValidation, Predicate<org.apache.sling.api.resource.Resource> filter, boolean considerResourceSuperTypeModels)`
Validates a `Resource` and all child resources recursively by traversing through the resource tree starting from the given resource.

## Uses of ValidationResult in org.apache.sling.validation.spi

Methods in org.apache.sling.validation.spi that return ValidationResult
Modifier and Type
Method
Description
`@NotNull ValidationResult`
Validator.`validate(T data, @NotNull ValidatorContext context, @NotNull org.apache.sling.api.resource.ValueMap arguments)`
Validates the `data` and/or the `valueMap` according to the internal constraints of this validator.

## Uses of ValidationResult in org.apache.sling.validation.spi.support

Classes in org.apache.sling.validation.spi.support that implement ValidationResult
Modifier and Type
Class
Description
`final class`
`DefaultValidationResult`
Default implementation of `ValidationResult` wrapping a list of `ValidationFailure`s.